Public Class ConfiguracionCalificacionBusinessObject
    Inherits BusinessObject(Of ConfiguracionCalificacion)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New ConfiguracionCalificacionDbHelper
    End Sub

    Public Sub New(ByVal entity As ConfiguracionCalificacion)
        MyBase.New(entity)
        DbHelper = New ConfiguracionCalificacionDbHelper
    End Sub

    Public Sub New(ByVal idConfiguracionCalificacion As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idConfiguracionCalificacion = idConfiguracionCalificacion
        Dim Entity_Aux As ConfiguracionCalificacion = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As ConfiguracionCalificacionBusinessObject
    Protected Shared Function GetDdHelperInstance() As ConfiguracionCalificacionDbHelper
        If _Instance Is Nothing Then
            _Instance = New ConfiguracionCalificacionBusinessObject
        End If
    Return CType(_Instance.DbHelper, ConfiguracionCalificacionDbHelper)
    End Function

    Public Shared Function GetListConfiguracionCalificacion(Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionCalificacion)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListConfiguracionCalificacionByConfiguracionEvaluacion(ByVal idConfiguracionEvaluacion as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionCalificacion)
        Return GetDdHelperInstance.GetListConfiguracionCalificacionByConfiguracionEvaluacion(idConfiguracionEvaluacion, foreignLevel)
    End Function

#End Region
End Class
